x11/docker - The NetBSD Packages Collection

WindowMaker dock app which acts as a system tray

Docker is a docking application (WindowMaker dock app) which acts as a system
tray for KDE and GNOME2. It can be used to replace the panel in either
environment, allowing you to have a system tray without running the KDE/GNOME
panel or environment.

Docker is designed to work with Openbox 2, but it should work fine in any
window manager that supports WindowMaker dock apps.

If you running WindowMaker or otherwise and experiencing problems, you should
try using the -wmaker option to make docker keep a fixed size.

Build dependencies

pkgtools/x11-links pkgtools/cwrappers devel/glib2-tools devel/gmake devel/pkgconf

Runtime dependencies

devel/glib2 devel/glib2

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfdocker-1.5nb6.tgz
NetBSD 8.0earmv7hfdocker-1.5nb6.tgz
NetBSD 8.0earmv7hfdocker-1.5nb6.tgz
NetBSD 8.0i386docker-1.5nb6.tgz
NetBSD 8.0i386docker-1.5nb6.tgz
NetBSD 8.0i386docker-1.5nb6.tgz
NetBSD 8.0powerpcdocker-1.5nb6.tgz
NetBSD 8.0powerpcdocker-1.5nb6.tgz
NetBSD 8.0powerpcdocker-1.5nb6.tgz
NetBSD 8.0x86_64docker-1.5nb6.tgz
NetBSD 8.0x86_64docker-1.5nb6.tgz
NetBSD 9.0aarch64docker-1.5nb6.tgz
NetBSD 9.0aarch64docker-1.5nb6.tgz
NetBSD 9.0aarch64docker-1.5nb6.tgz
NetBSD 9.0alphadocker-1.5nb6.tgz
NetBSD 9.0alphadocker-1.5nb6.tgz
NetBSD 9.0alphadocker-1.5nb6.tgz
NetBSD 9.0earmdocker-1.5nb6.tgz
NetBSD 9.0earmdocker-1.5nb6.tgz
NetBSD 9.0earmv6hfdocker-1.5nb6.tgz
NetBSD 9.0earmv6hfdocker-1.5nb6.tgz
NetBSD 9.0earmv6hfdocker-1.5nb6.tgz
NetBSD 9.0earmv6hfdocker-1.5nb6.tgz
NetBSD 9.0earmv7hfdocker-1.5nb6.tgz
NetBSD 9.0earmv7hfdocker-1.5nb6.tgz
NetBSD 9.0earmv7hfdocker-1.5nb6.tgz
NetBSD 9.0earmv7hfdocker-1.5nb6.tgz
NetBSD 9.0i386docker-1.5nb6.tgz
NetBSD 9.0i386docker-1.5nb6.tgz
NetBSD 9.0i386docker-1.5nb6.tgz
NetBSD 9.0mips64ebdocker-1.5nb6.tgz
NetBSD 9.0mips64ebdocker-1.5nb6.tgz
NetBSD 9.0mips64ebdocker-1.5nb6.tgz
NetBSD 9.0mipseldocker-1.5nb6.tgz
NetBSD 9.0mipseldocker-1.5nb6.tgz
NetBSD 9.0powerpcdocker-1.5nb6.tgz
NetBSD 9.0powerpcdocker-1.5nb6.tgz
NetBSD 9.0sh3eldocker-1.5nb6.tgz
NetBSD 9.0sh3eldocker-1.5nb6.tgz
NetBSD 9.0sparc64docker-1.5nb6.tgz
NetBSD 9.0sparc64docker-1.5nb6.tgz
NetBSD 9.0sparc64docker-1.5nb6.tgz
NetBSD 9.0sparc64docker-1.5nb6.tgz
NetBSD 9.0sparcdocker-1.5nb6.tgz
NetBSD 9.0sparcdocker-1.5nb6.tgz
NetBSD 9.0sparcdocker-1.5nb6.tgz
NetBSD 9.0x86_64docker-1.5nb6.tgz
NetBSD 9.0x86_64docker-1.5nb6.tgz
NetBSD 9.0x86_64docker-1.5nb6.tgz
NetBSD 9.0x86_64docker-1.5nb6.tgz
NetBSD 9.0x86_64docker-1.5nb6.tgz
NetBSD 9.0x86_64docker-1.5nb6.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.